/* This file is auto-generated. Don't edit. */
#include "iflag.h"

/* All combinations of instruction flags used in instruction patterns */
const iflag_t insns_flags[319] = {
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000001)}}, /*   0 : 8086 */
    {{UINT32_C(0x00000000),UINT32_C(0x00000020),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000001)}}, /*   1 : 8086,NOLONG */
    {{UINT32_C(0x00000004),UINT32_C(0x00000020),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000001)}}, /*   2 : 8086,NOLONG,SB */
    {{UINT32_C(0x00000001),UINT32_C(0x00000008),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000001)}}, /*   3 : 8086,LOCK,SM */
    {{UINT32_C(0x00000001),UINT32_C(0x00000008),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000008)}}, /*   4 : 386,LOCK,SM */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000008)}}, /*   5 : 386 */
    {{UINT32_C(0x00000001),UINT32_C(0x00000048),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000400)}}, /*   6 : LOCK,LONG,SM,X86_64 */
    {{UINT32_C(0x00000000),UINT32_C(0x00000040),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000400)}}, /*   7 : LONG,X86_64 */
    {{UINT32_C(0x00000001),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000001)}}, /*   8 : 8086,SM */
    {{UINT32_C(0x00000001),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000008)}}, /*   9 : 386,SM */
    {{UINT32_C(0x00000001),UINT32_C(0x00000040),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000400)}}, /*  10 : LONG,SM,X86_64 */
    {{UINT32_C(0x00000000),UINT32_C(0x00000008),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000001)}}, /*  11 : 8086,LOCK */
    {{UINT32_C(0x00000000),UINT32_C(0x00000008),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000008)}}, /*  12 : 386,LOCK */
    {{UINT32_C(0x00000000),UINT32_C(0x00000048),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000400)}}, /*  13 : LOCK,LONG,X86_64 */
    {{UINT32_C(0x00000001),UINT32_C(0x00000028),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000001)}}, /*  14 : 8086,LOCK,NOLONG,SM */
    {{UINT32_C(0x00000001),UINT32_C(0x00000024),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000004)}}, /*  15 : 286,NOLONG,PROT,SM */
    {{UINT32_C(0x00000000),UINT32_C(0x00000024),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000004)}}, /*  16 : 286,NOLONG,PROT */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00200000),UINT32_C(0x00040020)}}, /*  17 : CYRIX,OBSOLETE,PENT */
    {{UINT32_C(0x00000000),UINT32_C(0x00000020),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000002)}}, /*  18 : 186,NOLONG */
    {{UINT32_C(0x00000000),UINT32_C(0x00000020),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000008)}}, /*  19 : 386,NOLONG */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000010)}}, /*  20 : 486 */
    {{UINT32_C(0x00000000),UINT32_C(0x00000400),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000001)}}, /*  21 : 8086,BND */
    {{UINT32_C(0x00000000),UINT32_C(0x00000420),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000001)}}, /*  22 : 8086,BND,NOLONG */
    {{UINT32_C(0x00000000),UINT32_C(0x00000420),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000008)}}, /*  23 : 386,BND,NOLONG */
    {{UINT32_C(0x00000000),UINT32_C(0x00000440),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000400)}}, /*  24 : BND,LONG,X86_64 */
    {{UINT32_C(0x00000000),UINT32_C(0x00000001),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000004)}}, /*  25 : 286,PRIV */
    {{UINT32_C(0x00000001),UINT32_C(0x00000020),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000001)}}, /*  26 : 8086,NOLONG,SM */
    {{UINT32_C(0x00000001),UINT32_C(0x00000008),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000020)}}, /*  27 : LOCK,PENT,SM */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000020)}}, /*  28 : PENT */
    {{UINT32_C(0x00000001),UINT32_C(0x00000808),UINT32_C(0x00000000),UINT32_C(0x00200000),UINT32_C(0x00000010)}}, /*  29 : 486,LOCK,OBSOLETE,SM,UNDOC */
    {{UINT32_C(0x00000000),UINT32_C(0x00000800),UINT32_C(0x00000000),UINT32_C(0x00200000),UINT32_C(0x00000010)}}, /*  30 : 486,OBSOLETE,UNDOC */
    {{UINT32_C(0x00000000),UINT32_C(0x00000008),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000020)}}, /*  31 : LOCK,PENT */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00040020)}}, /*  32 : CYRIX,PENT */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00040040)}}, /*  33 : CYRIX,P6 */
    {{UINT32_C(0x00000000),UINT32_C(0x00004000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000020)}}, /*  34 : MMX,PENT */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000002)}}, /*  35 : 186 */
    {{UINT32_C(0x00000000),UINT32_C(0x00002000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000001)}}, /*  36 : 8086,FPU */
    {{UINT32_C(0x00000000),UINT32_C(0x00002000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000040)}}, /*  37 : FPU,P6 */
    {{UINT32_C(0x00000000),UINT32_C(0x00002000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000008)}}, /*  38 : 386,FPU */
    {{UINT32_C(0x00000000),UINT32_C(0x00008000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000020)}}, /*  39 : 3DNOW,PENT */
    {{UINT32_C(0x00000000),UINT32_C(0x00002800),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000004)}}, /*  40 : 286,FPU,UNDOC */
    {{UINT32_C(0x00000000),UINT32_C(0x00002000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000200)}}, /*  41 : FPU,PRESCOTT */
    {{UINT32_C(0x00000008),UINT32_C(0x00002000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000001)}}, /*  42 : 8086,FPU,SW */
    {{UINT32_C(0x00000000),UINT32_C(0x00002000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000004)}}, /*  43 : 286,FPU */
    {{UINT32_C(0x00000000),UINT32_C(0x00000001),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000001)}}, /*  44 : 8086,PRIV */
    {{UINT32_C(0x00000008),UINT32_C(0x00000800),UINT32_C(0x00000000),UINT32_C(0x00200000),UINT32_C(0x00000008)}}, /*  45 : 386,OBSOLETE,SW,UNDOC */
    {{UINT32_C(0x00000000),UINT32_C(0x00000800),UINT32_C(0x00000000),UINT32_C(0x00200000),UINT32_C(0x00000008)}}, /*  46 : 386,OBSOLETE,UNDOC */
    {{UINT32_C(0x00000010),UINT32_C(0x00000800),UINT32_C(0x00000000),UINT32_C(0x00200000),UINT32_C(0x00000008)}}, /*  47 : 386,OBSOLETE,SD,UNDOC */
    {{UINT32_C(0x00000002),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000002)}}, /*  48 : 186,SM2 */
    {{UINT32_C(0x00000001),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000002)}}, /*  49 : 186,SM */
    {{UINT32_C(0x00000002),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000008)}}, /*  50 : 386,SM2 */
    {{UINT32_C(0x00000002),UINT32_C(0x00000040),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000400)}}, /*  51 : LONG,SM2,X86_64 */
    {{UINT32_C(0x00000004),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000001)}}, /*  52 : 8086,SB */
    {{UINT32_C(0x00000004),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000008)}}, /*  53 : 386,SB */
    {{UINT32_C(0x00000000),UINT32_C(0x00000001),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000010)}}, /*  54 : 486,PRIV */
    {{UINT32_C(0x00000000),UINT32_C(0x00000021),UINT32_C(0x00000001),UINT32_C(0x00000000),UINT32_C(0x00004000)}}, /*  55 : FUTURE,INVPCID,NOLONG,PRIV */
    {{UINT32_C(0x00000000),UINT32_C(0x00000041),UINT32_C(0x00000001),UINT32_C(0x00000000),UINT32_C(0x00004000)}}, /*  56 : FUTURE,INVPCID,LONG,PRIV */
    {{UINT32_C(0x00000000),UINT32_C(0x00000020),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00080400)}}, /*  57 : AMD,NOLONG,X86_64 */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00080400)}}, /*  58 : AMD,X86_64 */
    {{UINT32_C(0x00000000),UINT32_C(0x00000040),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00080400)}}, /*  59 : AMD,LONG,X86_64 */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00008000)}}, /*  60 : IA64 */
    {{UINT32_C(0x00000008),UINT32_C(0x00000004),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000004)}}, /*  61 : 286,PROT,SW */
    {{UINT32_C(0x00000000),UINT32_C(0x00000004),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000004)}}, /*  62 : 286,PROT */
    {{UINT32_C(0x00000000),UINT32_C(0x00000004),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000008)}}, /*  63 : 386,PROT */
    {{UINT32_C(0x00000000),UINT32_C(0x00000044),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000400)}}, /*  64 : LONG,PROT,X86_64 */
    {{UINT32_C(0x00000008),UINT32_C(0x00000004),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000008)}}, /*  65 : 386,PROT,SW */
    {{UINT32_C(0x00000008),UINT32_C(0x00000044),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000400)}}, /*  66 : LONG,PROT,SW,X86_64 */
    {{UINT32_C(0x00000800),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000001)}}, /*  67 : 8086,ANYSIZE */
    {{UINT32_C(0x00000800),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000008)}}, /*  68 : 386,ANYSIZE */
    {{UINT32_C(0x00000800),UINT32_C(0x00000040),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000400)}}, /*  69 : ANYSIZE,LONG,X86_64 */
    {{UINT32_C(0x00000000),UINT32_C(0x00000005),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000004)}}, /*  70 : 286,PRIV,PROT */
    {{UINT32_C(0x00000000),UINT32_C(0x00000800),UINT32_C(0x00000000),UINT32_C(0x00200000),UINT32_C(0x00000004)}}, /*  71 : 286,OBSOLETE,UNDOC */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000200)}}, /*  72 : PRESCOTT */
    {{UINT32_C(0x00000000),UINT32_C(0x00000020),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000200)}}, /*  73 : NOLONG,PRESCOTT */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00080000)}}, /*  74 : AMD */
    {{UINT32_C(0x00000008),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000001)}}, /*  75 : 8086,SW */
    {{UINT32_C(0x00020000),UINT32_C(0x00000040),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000400)}}, /*  76 : LONG,OPT,X86_64 */
    {{UINT32_C(0x00020000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000001)}}, /*  77 : 8086,OPT */
    {{UINT32_C(0x00020000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000008)}}, /*  78 : 386,OPT */
    {{UINT32_C(0x00000001),UINT32_C(0x00000080),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000001)}}, /*  79 : 8086,NOHLE,SM */
    {{UINT32_C(0x00000001),UINT32_C(0x00000080),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000008)}}, /*  80 : 386,NOHLE,SM */
    {{UINT32_C(0x00000001),UINT32_C(0x000000c0),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000400)}}, /*  81 : LONG,NOHLE,SM,X86_64 */
    {{UINT32_C(0x00000000),UINT32_C(0x00000021),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000008)}}, /*  82 : 386,NOLONG,PRIV */
    {{UINT32_C(0x00000000),UINT32_C(0x00000041),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000400)}}, /*  83 : LONG,PRIV,X86_64 */
    {{UINT32_C(0x00020001),UINT32_C(0x00000040),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000400)}}, /*  84 : LONG,OPT,SM,X86_64 */
    {{UINT32_C(0x00000010),UINT32_C(0x00004000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000020)}}, /*  85 : MMX,PENT,SD */
    {{UINT32_C(0x00000400),UINT32_C(0x00004040),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000400)}}, /*  86 : LONG,MMX,SX,X86_64 */
    {{UINT32_C(0x00000020),UINT32_C(0x00004000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000020)}}, /*  87 : MMX,PENT,SQ */
    {{UINT32_C(0x00000000),UINT32_C(0x00004040),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000400)}}, /*  88 : LONG,MMX,X86_64 */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000040)}}, /*  89 : P6 */
    {{UINT32_C(0x00000020),UINT32_C(0x00004000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00040020)}}, /*  90 : CYRIX,MMX,PENT,SQ */
    {{UINT32_C(0x00000020),UINT32_C(0x00008000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000020)}}, /*  91 : 3DNOW,PENT,SQ */
    {{UINT32_C(0x00000001),UINT32_C(0x00004000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00040020)}}, /*  92 : CYRIX,MMX,PENT,SM */
    {{UINT32_C(0x00000000),UINT32_C(0x00000800),UINT32_C(0x00000000),UINT32_C(0x00200000),UINT32_C(0x00000001)}}, /*  93 : 8086,OBSOLETE,UNDOC */
    {{UINT32_C(0x00001200),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000002)}}, /*  94 : 186,AR0,SIZE */
    {{UINT32_C(0x00001200),UINT32_C(0x00000020),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000008)}}, /*  95 : 386,AR0,NOLONG,SIZE */
    {{UINT32_C(0x00000010),UINT32_C(0x00000020),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000008)}}, /*  96 : 386,NOLONG,SD */
    {{UINT32_C(0x00001200),UINT32_C(0x00000040),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000400)}}, /*  97 : AR0,LONG,SIZE,X86_64 */
    {{UINT32_C(0x00000000),UINT32_C(0x00000002),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00040040)}}, /*  98 : CYRIX,P6,SMM */
    {{UINT32_C(0x00000000),UINT32_C(0x00000001),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000020)}}, /*  99 : PENT,PRIV */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000400)}}, /* 100 : X86_64 */
    {{UINT32_C(0x00000008),UINT32_C(0x00000400),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000001)}}, /* 101 : 8086,BND,SW */
    {{UINT32_C(0x00000008),UINT32_C(0x00000420),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000001)}}, /* 102 : 8086,BND,NOLONG,SW */
    {{UINT32_C(0x00000008),UINT32_C(0x00000440),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000400)}}, /* 103 : BND,LONG,SW,X86_64 */
    {{UINT32_C(0x00000008),UINT32_C(0x00000040),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000400)}}, /* 104 : LONG,SW,X86_64 */
    {{UINT32_C(0x00000000),UINT32_C(0x00000002),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00040010)}}, /* 105 : 486,CYRIX,SMM */
    {{UINT32_C(0x00000000),UINT32_C(0x00000002),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000020)}}, /* 106 : PENT,SMM */
    {{UINT32_C(0x00000000),UINT32_C(0x00000800),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000001)}}, /* 107 : 8086,UNDOC */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000004)}}, /* 108 : 286 */
    {{UINT32_C(0x00004006),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000008)}}, /* 109 : 386,AR2,SB,SM2 */
    {{UINT32_C(0x00004006),UINT32_C(0x00000040),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000400)}}, /* 110 : AR2,LONG,SB,SM2,X86_64 */
    {{UINT32_C(0x00000000),UINT32_C(0x00000800),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000008)}}, /* 111 : 386,UNDOC */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00200000),UINT32_C(0x00040010)}}, /* 112 : 486,CYRIX,OBSOLETE */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00080040)}}, /* 113 : AMD,P6 */
    {{UINT32_C(0x00000000),UINT32_C(0x00000001),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000040)}}, /* 114 : P6,PRIV */
    {{UINT32_C(0x00000000),UINT32_C(0x00000001),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00080040)}}, /* 115 : AMD,P6,PRIV */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00200000),UINT32_C(0x00000002)}}, /* 116 : 186,OBSOLETE */
    {{UINT32_C(0x00000001),UINT32_C(0x00000800),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000008)}}, /* 117 : 386,SM,UNDOC */
    {{UINT32_C(0x00000001),UINT32_C(0x00000008),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000010)}}, /* 118 : 486,LOCK,SM */
    {{UINT32_C(0x00000008),UINT32_C(0x00000800),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000008)}}, /* 119 : 386,SW,UNDOC */
    {{UINT32_C(0x00000010),UINT32_C(0x00000800),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000008)}}, /* 120 : 386,SD,UNDOC */
    {{UINT32_C(0x00000001),UINT32_C(0x00000010),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000001)}}, /* 121 : 8086,LOCK1,SM */
    {{UINT32_C(0x00000001),UINT32_C(0x00000010),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000008)}}, /* 122 : 386,LOCK1,SM */
    {{UINT32_C(0x00000001),UINT32_C(0x00000050),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000400)}}, /* 123 : LOCK1,LONG,SM,X86_64 */
    {{UINT32_C(0x00000001),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000040)}}, /* 124 : P6,SM */
    {{UINT32_C(0x00000000),UINT32_C(0x00000400),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000008)}}, /* 125 : 386,BND */
    {{UINT32_C(0x00000000),UINT32_C(0x00010000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000080)}}, /* 126 : KATMAI,SSE */
    {{UINT32_C(0x00000000),UINT32_C(0x00014000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000080)}}, /* 127 : KATMAI,MMX,SSE */
    {{UINT32_C(0x00002010),UINT32_C(0x00010000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000080)}}, /* 128 : AR1,KATMAI,SD,SSE */
    {{UINT32_C(0x00002020),UINT32_C(0x00010040),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000400)}}, /* 129 : AR1,LONG,SQ,SSE,X86_64 */
    {{UINT32_C(0x00002010),UINT32_C(0x00010040),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000400)}}, /* 130 : AR1,LONG,SD,SSE,X86_64 */
    {{UINT32_C(0x00000020),UINT32_C(0x00014000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000080)}}, /* 131 : KATMAI,MMX,SQ,SSE */
    {{UINT32_C(0x00000000),UINT32_C(0x00010040),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000400)}}, /* 132 : LONG,SSE,X86_64 */
    {{UINT32_C(0x00000000),UINT32_C(0x00012000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000040)}}, /* 133 : FPU,P6,SSE */
    {{UINT32_C(0x00000000),UINT32_C(0x00012040),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000400)}}, /* 134 : FPU,LONG,SSE,X86_64 */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000800)}}, /* 135 : NEHALEM */
    {{UINT32_C(0x00000000),UINT32_C(0x00000001),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000800)}}, /* 136 : NEHALEM,PRIV */
    {{UINT32_C(0x00000000),UINT32_C(0x00000040),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000800)}}, /* 137 : LONG,NEHALEM */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00004000)}}, /* 138 : FUTURE */
    {{UINT32_C(0x00000000),UINT32_C(0x00000040),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00004000)}}, /* 139 : FUTURE,LONG */
    {{UINT32_C(0x00000004),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000080)}}, /* 140 : KATMAI,SB */
    {{UINT32_C(0x00000004),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000400),UINT32_C(0x00004000)}}, /* 141 : FUTURE,PREFETCHI,SB */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000080)}}, /* 142 : KATMAI */
    {{UINT32_C(0x00000000),UINT32_C(0x00004000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000080)}}, /* 143 : KATMAI,MMX */
    {{UINT32_C(0x00000020),UINT32_C(0x00004000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000080)}}, /* 144 : KATMAI,MMX,SQ */
    {{UINT32_C(0x00004004),UINT32_C(0x00004000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000080)}}, /* 145 : AR2,KATMAI,MMX,SB */
    {{UINT32_C(0x00004006),UINT32_C(0x00004000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000080)}}, /* 146 : AR2,KATMAI,MMX,SB,SM2 */
    {{UINT32_C(0x00000000),UINT32_C(0x00020000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000100)}}, /* 147 : SSE2,WILLAMETTE */
    {{UINT32_C(0x00000040),UINT32_C(0x00020000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000100)}}, /* 148 : SO,SSE2,WILLAMETTE */
    {{UINT32_C(0x00000010),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000100)}}, /* 149 : SD,WILLAMETTE */
    {{UINT32_C(0x00000020),UINT32_C(0x00000040),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000400)}}, /* 150 : LONG,SQ,X86_64 */
    {{UINT32_C(0x00000010),UINT32_C(0x00020000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000100)}}, /* 151 : SD,SSE2,WILLAMETTE */
    {{UINT32_C(0x00000020),UINT32_C(0x00020000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000100)}}, /* 152 : SQ,SSE2,WILLAMETTE */
    {{UINT32_C(0x00000000),UINT32_C(0x00020040),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000400)}}, /* 153 : LONG,SSE2,X86_64 */
    {{UINT32_C(0x00000020),UINT32_C(0x00004000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000100)}}, /* 154 : MMX,SQ,WILLAMETTE */
    {{UINT32_C(0x00004004),UINT32_C(0x00020000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000100)}}, /* 155 : AR2,SB,SSE2,WILLAMETTE */
    {{UINT32_C(0x00004004),UINT32_C(0x00020040),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000400)}}, /* 156 : AR2,LONG,SB,SSE2,X86_64 */
    {{UINT32_C(0x00004006),UINT32_C(0x00020000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000100)}}, /* 157 : AR2,SB,SM2,SSE2,WILLAMETTE */
    {{UINT32_C(0x00002004),UINT32_C(0x00020000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000100)}}, /* 158 : AR1,SB,SSE2,WILLAMETTE */
    {{UINT32_C(0x00002020),UINT32_C(0x00020000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000100)}}, /* 159 : AR1,SQ,SSE2,WILLAMETTE */
    {{UINT32_C(0x00002020),UINT32_C(0x00020040),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000400)}}, /* 160 : AR1,LONG,SQ,SSE2,X86_64 */
    {{UINT32_C(0x00002010),UINT32_C(0x00020000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000100)}}, /* 161 : AR1,SD,SSE2,WILLAMETTE */
    {{UINT32_C(0x00000040),UINT32_C(0x00040000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000200)}}, /* 162 : PRESCOTT,SO,SSE3 */
    {{UINT32_C(0x00000020),UINT32_C(0x00040000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000200)}}, /* 163 : PRESCOTT,SQ,SSE3 */
    {{UINT32_C(0x00000000),UINT32_C(0x00040000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000200)}}, /* 164 : PRESCOTT,SSE3 */
    {{UINT32_C(0x00000000),UINT32_C(0x00080000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00080000)}}, /* 165 : AMD,VMX */
    {{UINT32_C(0x00000000),UINT32_C(0x00080000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000)}}, /* 166 : VMX */
    {{UINT32_C(0x00000010),UINT32_C(0x00080020),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000)}}, /* 167 : NOLONG,SD,VMX */
    {{UINT32_C(0x00000020),UINT32_C(0x00080040),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000400)}}, /* 168 : LONG,SQ,VMX,X86_64 */
    {{UINT32_C(0x00000040),UINT32_C(0x00080020),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000)}}, /* 169 : NOLONG,SO,VMX */
    {{UINT32_C(0x00000040),UINT32_C(0x00080040),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000)}}, /* 170 : LONG,SO,VMX */
    {{UINT32_C(0x00000020),UINT32_C(0x00104000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000)}}, /* 171 : MMX,SQ,SSSE3 */
    {{UINT32_C(0x00000000),UINT32_C(0x00100000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000)}}, /* 172 : SSSE3 */
    {{UINT32_C(0x00000000),UINT32_C(0x00200000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00080000)}}, /* 173 : AMD,SSE4A */
    {{UINT32_C(0x00000020),UINT32_C(0x00200000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00080000)}}, /* 174 : AMD,SQ,SSE4A */
    {{UINT32_C(0x00000010),UINT32_C(0x00200000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00080000)}}, /* 175 : AMD,SD,SSE4A */
    {{UINT32_C(0x00000000),UINT32_C(0x00400000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000)}}, /* 176 : SSE41 */
    {{UINT32_C(0x00000000),UINT32_C(0x00400040),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000400)}}, /* 177 : LONG,SSE41,X86_64 */
    {{UINT32_C(0x00004004),UINT32_C(0x00400000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000)}}, /* 178 : AR2,SB,SSE41 */
    {{UINT32_C(0x00004004),UINT32_C(0x00400040),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000400)}}, /* 179 : AR2,LONG,SB,SSE41,X86_64 */
    {{UINT32_C(0x00000020),UINT32_C(0x00400000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000)}}, /* 180 : SQ,SSE41 */
    {{UINT32_C(0x00000010),UINT32_C(0x00400000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000)}}, /* 181 : SD,SSE41 */
    {{UINT32_C(0x00000008),UINT32_C(0x00400000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000)}}, /* 182 : SSE41,SW */
    {{UINT32_C(0x00000000),UINT32_C(0x00800000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000)}}, /* 183 : SSE42 */
    {{UINT32_C(0x00000000),UINT32_C(0x00800040),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000400)}}, /* 184 : LONG,SSE42,X86_64 */
    {{UINT32_C(0x00000008),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000800)}}, /* 185 : NEHALEM,SW */
    {{UINT32_C(0x00000010),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000800)}}, /* 186 : NEHALEM,SD */
    {{UINT32_C(0x00000020),UINT32_C(0x00000040),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000800)}}, /* 187 : LONG,NEHALEM,SQ */
    {{UINT32_C(0x00000020),UINT32_C(0x00008000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00040020)}}, /* 188 : 3DNOW,CYRIX,PENT,SQ */
    {{UINT32_C(0x00000001),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000800)}}, /* 189 : NEHALEM,SM */
    {{UINT32_C(0x00000000),UINT32_C(0x00010000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00001000)}}, /* 190 : SSE,WESTMERE */
    {{UINT32_C(0x00000000),UINT32_C(0x02000000),UINT32_C(0x00000000),UINT32_C(0x01000000),UINT32_C(0x00002000)}}, /* 191 : AVX,SANDYBRIDGE,VEX */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00004000),UINT32_C(0x01000000),UINT32_C(0x00004000)}}, /* 192 : FUTURE,VAES,VEX */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00004102),UINT32_C(0x02000000),UINT32_C(0x00004000)}}, /* 193 : AVX512,AVX512VL,EVEX,FUTURE,VAES */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00004002),UINT32_C(0x02000000),UINT32_C(0x00004000)}}, /* 194 : AVX512,EVEX,FUTURE,VAES */
    {{UINT32_C(0x00000040),UINT32_C(0x02000000),UINT32_C(0x00000000),UINT32_C(0x01000000),UINT32_C(0x00002000)}}, /* 195 : AVX,SANDYBRIDGE,SO,VEX */
    {{UINT32_C(0x00000080),UINT32_C(0x02000000),UINT32_C(0x00000000),UINT32_C(0x01000000),UINT32_C(0x00002000)}}, /* 196 : AVX,SANDYBRIDGE,SY,VEX */
    {{UINT32_C(0x00000000),UINT32_C(0x02000040),UINT32_C(0x00000000),UINT32_C(0x01000000),UINT32_C(0x00002000)}}, /* 197 : AVX,LONG,SANDYBRIDGE,VEX */
    {{UINT32_C(0x00000010),UINT32_C(0x02000000),UINT32_C(0x00000000),UINT32_C(0x01000000),UINT32_C(0x00002000)}}, /* 198 : AVX,SANDYBRIDGE,SD,VEX */
    {{UINT32_C(0x00000020),UINT32_C(0x02000040),UINT32_C(0x00000000),UINT32_C(0x01000000),UINT32_C(0x00002000)}}, /* 199 : AVX,LONG,SANDYBRIDGE,SQ,VEX */
    {{UINT32_C(0x00000020),UINT32_C(0x02000000),UINT32_C(0x00000000),UINT32_C(0x01000000),UINT32_C(0x00002000)}}, /* 200 : AVX,SANDYBRIDGE,SQ,VEX */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00008000),UINT32_C(0x01000000),UINT32_C(0x00004000)}}, /* 201 : FUTURE,VEX,VPCLMULQDQ */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00008100),UINT32_C(0x02000000),UINT32_C(0x00004000)}}, /* 202 : AVX512VL,EVEX,FUTURE,VPCLMULQDQ */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00008002),UINT32_C(0x02000000),UINT32_C(0x00004000)}}, /* 203 : AVX512,EVEX,FUTURE,VPCLMULQDQ */
    {{UINT32_C(0x00000000),UINT32_C(0x08000000),UINT32_C(0x00000000),UINT32_C(0x01000000),UINT32_C(0x00004000)}}, /* 204 : FMA,FUTURE,VEX */
    {{UINT32_C(0x00000000),UINT32_C(0x02000000),UINT32_C(0x00000000),UINT32_C(0x01000000),UINT32_C(0x00004000)}}, /* 205 : AVX,FUTURE,VEX */
    {{UINT32_C(0x00000000),UINT32_C(0x00000001),UINT32_C(0x00000000),UINT32_C(0x00020000),UINT32_C(0x00004000)}}, /* 206 : FUTURE,PRIV,SMAP */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x01000000),UINT32_C(0x00080008)}}, /* 207 : 386,AMD,VEX */
    {{UINT32_C(0x00000000),UINT32_C(0x00000040),UINT32_C(0x00000000),UINT32_C(0x01000000),UINT32_C(0x00080400)}}, /* 208 : AMD,LONG,VEX,X86_64 */
    {{UINT32_C(0x00000000),UINT32_C(0x01000000),UINT32_C(0x00000000),UINT32_C(0x01000000),UINT32_C(0x00080000)}}, /* 209 : AMD,SSE5,VEX */
    {{UINT32_C(0x00000000),UINT32_C(0x04000000),UINT32_C(0x00000000),UINT32_C(0x01000000),UINT32_C(0x00004000)}}, /* 210 : AVX2,FUTURE,VEX */
    {{UINT32_C(0x00000000),UINT32_C(0x80000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00004000)}}, /* 211 : FUTURE,RTM */
    {{UINT32_C(0x00000000),UINT32_C(0x80000020),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00004000)}}, /* 212 : FUTURE,NOLONG,RTM */
    {{UINT32_C(0x00000000),UINT32_C(0x80000040),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00004000)}}, /* 213 : FUTURE,LONG,RTM */
    {{UINT32_C(0x00000000),UINT32_C(0x80001000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00004000)}}, /* 214 : FUTURE,HLE,RTM */
    {{UINT32_C(0x00000000),UINT32_C(0x10000000),UINT32_C(0x00000000),UINT32_C(0x01000000),UINT32_C(0x00004000)}}, /* 215 : BMI1,FUTURE,VEX */
    {{UINT32_C(0x00000000),UINT32_C(0x10000040),UINT32_C(0x00000000),UINT32_C(0x01000000),UINT32_C(0x00004000)}}, /* 216 : BMI1,FUTURE,LONG,VEX */
    {{UINT32_C(0x00000000),UINT32_C(0x40000000),UINT32_C(0x00000000),UINT32_C(0x01000000),UINT32_C(0x00004000)}}, /* 217 : FUTURE,TBM,VEX */
    {{UINT32_C(0x00000000),UINT32_C(0x40000040),UINT32_C(0x00000000),UINT32_C(0x01000000),UINT32_C(0x00004000)}}, /* 218 : FUTURE,LONG,TBM,VEX */
    {{UINT32_C(0x00000000),UINT32_C(0x20000000),UINT32_C(0x00000000),UINT32_C(0x01000000),UINT32_C(0x00004000)}}, /* 219 : BMI2,FUTURE,VEX */
    {{UINT32_C(0x00000000),UINT32_C(0x20000040),UINT32_C(0x00000000),UINT32_C(0x01000000),UINT32_C(0x00004000)}}, /* 220 : BMI2,FUTURE,LONG,VEX */
    {{UINT32_C(0x00000000),UINT32_C(0x10000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00004000)}}, /* 221 : BMI1,FUTURE */
    {{UINT32_C(0x00000000),UINT32_C(0x10000040),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00004000)}}, /* 222 : BMI1,FUTURE,LONG */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000080),UINT32_C(0x00000000),UINT32_C(0x00004000)}}, /* 223 : FUTURE,PREFETCHWT1 */
    {{UINT32_C(0x00000000),UINT32_C(0x00000100),UINT32_C(0x00000020),UINT32_C(0x00000000),UINT32_C(0x00004000)}}, /* 224 : FUTURE,MIB,MPX */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000020),UINT32_C(0x00000000),UINT32_C(0x00004000)}}, /* 225 : FUTURE,MPX */
    {{UINT32_C(0x00000000),UINT32_C(0x00000020),UINT32_C(0x00000020),UINT32_C(0x00000000),UINT32_C(0x00004000)}}, /* 226 : FUTURE,MPX,NOLONG */
    {{UINT32_C(0x00000000),UINT32_C(0x00000040),UINT32_C(0x00000020),UINT32_C(0x00000000),UINT32_C(0x00004000)}}, /* 227 : FUTURE,LONG,MPX */
    {{UINT32_C(0x00000000),UINT32_C(0x00000120),UINT32_C(0x00000020),UINT32_C(0x00000000),UINT32_C(0x00004000)}}, /* 228 : FUTURE,MIB,MPX,NOLONG */
    {{UINT32_C(0x00000000),UINT32_C(0x00000140),UINT32_C(0x00000020),UINT32_C(0x00000000),UINT32_C(0x00004000)}}, /* 229 : FUTURE,LONG,MIB,MPX */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000040),UINT32_C(0x00000000),UINT32_C(0x00004000)}}, /* 230 : FUTURE,SHA */
    {{UINT32_C(0x00000000),UINT32_C(0x02000000),UINT32_C(0x00000000),UINT32_C(0x01040000),UINT32_C(0x00004000)}}, /* 231 : AVX,FUTURE,SHA512,VEX */
    {{UINT32_C(0x00000000),UINT32_C(0x02000000),UINT32_C(0x00000000),UINT32_C(0x01080000),UINT32_C(0x00004000)}}, /* 232 : AVX,FUTURE,SM3,VEX */
    {{UINT32_C(0x00000000),UINT32_C(0x02000000),UINT32_C(0x00000000),UINT32_C(0x01100000),UINT32_C(0x00004000)}}, /* 233 : AVX,FUTURE,SM4,VEX */
    {{UINT32_C(0x00040008),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x01002000),UINT32_C(0x00004000)}}, /* 234 : AVXNECONVERT,FUTURE,LATEVEX,SW,VEX */
    {{UINT32_C(0x00040400),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x01002000),UINT32_C(0x00004000)}}, /* 235 : AVXNECONVERT,FUTURE,LATEVEX,SX,VEX */
    {{UINT32_C(0x00040080),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x01002000),UINT32_C(0x00004000)}}, /* 236 : AVXNECONVERT,FUTURE,LATEVEX,SY,VEX */
    {{UINT32_C(0x00040400),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x01004000),UINT32_C(0x00004000)}}, /* 237 : AVXVNNIINT8,FUTURE,LATEVEX,SX,VEX */
    {{UINT32_C(0x00040080),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x01004000),UINT32_C(0x00004000)}}, /* 238 : AVXVNNIINT8,FUTURE,LATEVEX,SY,VEX */
    {{UINT32_C(0x00040400),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x01008000),UINT32_C(0x00004000)}}, /* 239 : AVXIFMA,FUTURE,LATEVEX,SX,VEX */
    {{UINT32_C(0x00040080),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x01008000),UINT32_C(0x00004000)}}, /* 240 : AVXIFMA,FUTURE,LATEVEX,SY,VEX */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x01000000),UINT32_C(0x00004000)}}, /* 241 : FUTURE,VEX */
    {{UINT32_C(0x00000001),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x01000000),UINT32_C(0x00004000)}}, /* 242 : FUTURE,SM,VEX */
    {{UINT32_C(0x00000005),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x01000000),UINT32_C(0x00004000)}}, /* 243 : FUTURE,SB,SM,VEX */
    {{UINT32_C(0x00000400),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x01000000),UINT32_C(0x00004000)}}, /* 244 : FUTURE,SX,VEX */
    {{UINT32_C(0x00000002),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x01000000),UINT32_C(0x00004000)}}, /* 245 : FUTURE,SM2,VEX */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000102),UINT32_C(0x02000000),UINT32_C(0x00004000)}}, /* 246 : AVX512,AVX512VL,EVEX,FUTURE */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000002),UINT32_C(0x02000000),UINT32_C(0x00004000)}}, /* 247 : AVX512,EVEX,FUTURE */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000300),UINT32_C(0x02000000),UINT32_C(0x00004000)}}, /* 248 : AVX512DQ,AVX512VL,EVEX,FUTURE */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000200),UINT32_C(0x02000000),UINT32_C(0x00004000)}}, /* 249 : AVX512DQ,EVEX,FUTURE */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000500),UINT32_C(0x02000000),UINT32_C(0x00004000)}}, /* 250 : AVX512BW,AVX512VL,EVEX,FUTURE */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000400),UINT32_C(0x02000000),UINT32_C(0x00004000)}}, /* 251 : AVX512BW,EVEX,FUTURE */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000008),UINT32_C(0x02000000),UINT32_C(0x00004000)}}, /* 252 : AVX512ER,EVEX,FUTURE */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000010),UINT32_C(0x02000000),UINT32_C(0x00004000)}}, /* 253 : AVX512PF,EVEX,FUTURE */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000104),UINT32_C(0x02000000),UINT32_C(0x00004000)}}, /* 254 : AVX512CD,AVX512VL,EVEX,FUTURE */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000004),UINT32_C(0x02000000),UINT32_C(0x00004000)}}, /* 255 : AVX512CD,EVEX,FUTURE */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00001100),UINT32_C(0x02000000),UINT32_C(0x00004000)}}, /* 256 : AVX512VBMI,AVX512VL,EVEX,FUTURE */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00001000),UINT32_C(0x02000000),UINT32_C(0x00004000)}}, /* 257 : AVX512VBMI,EVEX,FUTURE */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000900),UINT32_C(0x02000000),UINT32_C(0x00004000)}}, /* 258 : AVX512IFMA,AVX512VL,EVEX,FUTURE */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000800),UINT32_C(0x02000000),UINT32_C(0x00004000)}}, /* 259 : AVX512IFMA,EVEX,FUTURE */
    {{UINT32_C(0x00000000),UINT32_C(0x00000020),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00004000)}}, /* 260 : FUTURE,NOLONG */
    {{UINT32_C(0x00000000),UINT32_C(0x00000840),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00004000)}}, /* 261 : FUTURE,LONG,UNDOC */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00e00000),UINT32_C(0x00004000)}}, /* 262 : FUTURE,NEVER,NOP,OBSOLETE */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00084000)}}, /* 263 : AMD,FUTURE */
    {{UINT32_C(0x00000000),UINT32_C(0x00000020),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00084000)}}, /* 264 : AMD,FUTURE,NOLONG */
    {{UINT32_C(0x00000000),UINT32_C(0x00000040),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00084000)}}, /* 265 : AMD,FUTURE,LONG */
    {{UINT32_C(0x00000010),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00004000)}}, /* 266 : FUTURE,SD */
    {{UINT32_C(0x00000020),UINT32_C(0x00000040),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00004000)}}, /* 267 : FUTURE,LONG,SQ */
    {{UINT32_C(0x00000000),UINT32_C(0x00010000),UINT32_C(0x00010000),UINT32_C(0x00000000),UINT32_C(0x00004000)}}, /* 268 : FUTURE,GFNI,SSE */
    {{UINT32_C(0x00000000),UINT32_C(0x02000000),UINT32_C(0x00010000),UINT32_C(0x01000000),UINT32_C(0x00004000)}}, /* 269 : AVX,FUTURE,GFNI,VEX */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00010100),UINT32_C(0x02000000),UINT32_C(0x00004000)}}, /* 270 : AVX512VL,EVEX,FUTURE,GFNI */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00010002),UINT32_C(0x02000000),UINT32_C(0x00004000)}}, /* 271 : AVX512,EVEX,FUTURE,GFNI */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00020100),UINT32_C(0x02000000),UINT32_C(0x00004000)}}, /* 272 : AVX512VBMI2,AVX512VL,EVEX,FUTURE */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00020000),UINT32_C(0x02000000),UINT32_C(0x00004000)}}, /* 273 : AVX512VBMI2,EVEX,FUTURE */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00040100),UINT32_C(0x02000000),UINT32_C(0x00004000)}}, /* 274 : AVX512VL,AVX512VNNI,EVEX,FUTURE */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00040000),UINT32_C(0x02000000),UINT32_C(0x00004000)}}, /* 275 : AVX512VNNI,EVEX,FUTURE */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00080100),UINT32_C(0x02000000),UINT32_C(0x00004000)}}, /* 276 : AVX512BITALG,AVX512VL,EVEX,FUTURE */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00080000),UINT32_C(0x02000000),UINT32_C(0x00004000)}}, /* 277 : AVX512BITALG,EVEX,FUTURE */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00100100),UINT32_C(0x02000000),UINT32_C(0x00004000)}}, /* 278 : AVX512VL,AVX512VPOPCNTDQ,EVEX,FUTURE */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00100000),UINT32_C(0x02000000),UINT32_C(0x00004000)}}, /* 279 : AVX512VPOPCNTDQ,EVEX,FUTURE */
    {{UINT32_C(0x00000040),UINT32_C(0x00000000),UINT32_C(0x00200000),UINT32_C(0x02000000),UINT32_C(0x00004000)}}, /* 280 : AVX5124FMAPS,EVEX,FUTURE,SO */
    {{UINT32_C(0x00000040),UINT32_C(0x00000000),UINT32_C(0x00400000),UINT32_C(0x02000000),UINT32_C(0x00004000)}}, /* 281 : AVX5124VNNIW,EVEX,FUTURE,SO */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x02000000),UINT32_C(0x00000000),UINT32_C(0x00004000)}}, /* 282 : FUTURE,SGX */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x04000000),UINT32_C(0x00000000),UINT32_C(0x00004000)}}, /* 283 : CET,FUTURE */
    {{UINT32_C(0x00000000),UINT32_C(0x00000040),UINT32_C(0x04000000),UINT32_C(0x00000000),UINT32_C(0x00004000)}}, /* 284 : CET,FUTURE,LONG */
    {{UINT32_C(0x00000100),UINT32_C(0x00000020),UINT32_C(0x08000000),UINT32_C(0x00000000),UINT32_C(0x00004000)}}, /* 285 : ENQCMD,FUTURE,NOLONG,SZ */
    {{UINT32_C(0x00000100),UINT32_C(0x00000000),UINT32_C(0x08000000),UINT32_C(0x00000000),UINT32_C(0x00004000)}}, /* 286 : ENQCMD,FUTURE,SZ */
    {{UINT32_C(0x00000100),UINT32_C(0x00000040),UINT32_C(0x08000000),UINT32_C(0x00000000),UINT32_C(0x00004000)}}, /* 287 : ENQCMD,FUTURE,LONG,SZ */
    {{UINT32_C(0x00000100),UINT32_C(0x00000021),UINT32_C(0x08000000),UINT32_C(0x00000000),UINT32_C(0x00004000)}}, /* 288 : ENQCMD,FUTURE,NOLONG,PRIV,SZ */
    {{UINT32_C(0x00000100),UINT32_C(0x00000001),UINT32_C(0x08000000),UINT32_C(0x00000000),UINT32_C(0x00004000)}}, /* 289 : ENQCMD,FUTURE,PRIV,SZ */
    {{UINT32_C(0x00000100),UINT32_C(0x00000041),UINT32_C(0x08000000),UINT32_C(0x00000000),UINT32_C(0x00004000)}}, /* 290 : ENQCMD,FUTURE,LONG,PRIV,SZ */
    {{UINT32_C(0x00000000),UINT32_C(0x00000001),UINT32_C(0x10000000),UINT32_C(0x00000000),UINT32_C(0x00004000)}}, /* 291 : FUTURE,PCONFIG,PRIV */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x80000000),UINT32_C(0x00000000),UINT32_C(0x00004000)}}, /* 292 : FUTURE,SERIALIZE */
    {{UINT32_C(0x00000000),UINT32_C(0x00000001),UINT32_C(0x20000000),UINT32_C(0x00000000),UINT32_C(0x00004000)}}, /* 293 : FUTURE,PRIV,WBNOINVD */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x40000000),UINT32_C(0x00000000),UINT32_C(0x00004000)}}, /* 294 : FUTURE,TSXLDTRK */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x02000001),UINT32_C(0x00004000)}}, /* 295 : AVX512BF16,EVEX,FUTURE */
    {{UINT32_C(0x00000100),UINT32_C(0x00000040),UINT32_C(0x00000000),UINT32_C(0x01000004),UINT32_C(0x00004000)}}, /* 296 : AMXTILE,FUTURE,LONG,SZ,VEX */
    {{UINT32_C(0x00000000),UINT32_C(0x00000040),UINT32_C(0x00000000),UINT32_C(0x01000008),UINT32_C(0x00004000)}}, /* 297 : AMXBF16,FUTURE,LONG,VEX */
    {{UINT32_C(0x00000000),UINT32_C(0x00000040),UINT32_C(0x00000000),UINT32_C(0x01000010),UINT32_C(0x00004000)}}, /* 298 : AMXINT8,FUTURE,LONG,VEX */
    {{UINT32_C(0x00000400),UINT32_C(0x00000340),UINT32_C(0x00000000),UINT32_C(0x01000004),UINT32_C(0x00004000)}}, /* 299 : AMXTILE,FUTURE,LONG,MIB,SIB,SX,VEX */
    {{UINT32_C(0x00000000),UINT32_C(0x00000040),UINT32_C(0x00000000),UINT32_C(0x01000004),UINT32_C(0x00004000)}}, /* 300 : AMXTILE,FUTURE,LONG,VEX */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00800100),UINT32_C(0x02000000),UINT32_C(0x00004000)}}, /* 301 : AVX512FP16,AVX512VL,EVEX,FUTURE */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00800000),UINT32_C(0x02000000),UINT32_C(0x00004000)}}, /* 302 : AVX512FP16,EVEX,FUTURE */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x01000000),UINT32_C(0x01000000),UINT32_C(0x00004000)}}, /* 303 : AVX512FC16,FUTURE,VEX */
    {{UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x01000100),UINT32_C(0x01000000),UINT32_C(0x00004000)}}, /* 304 : AVX512FC16,AVX512VL,FUTURE,VEX */
    {{UINT32_C(0x00000010),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000080),UINT32_C(0x00004000)}}, /* 305 : FUTURE,RAOINT,SD */
    {{UINT32_C(0x00000020),UINT32_C(0x00000040),UINT32_C(0x00000000),UINT32_C(0x00000080),UINT32_C(0x00004000)}}, /* 306 : FUTURE,LONG,RAOINT,SQ */
    {{UINT32_C(0x00000000),UINT32_C(0x00000040),UINT32_C(0x00000000),UINT32_C(0x00000100),UINT32_C(0x00004000)}}, /* 307 : FUTURE,LONG,UINTR */
    {{UINT32_C(0x00000010),UINT32_C(0x00000040),UINT32_C(0x00000000),UINT32_C(0x01000200),UINT32_C(0x00004000)}}, /* 308 : CMPCCXADD,FUTURE,LONG,SD,VEX */
    {{UINT32_C(0x00000020),UINT32_C(0x00000040),UINT32_C(0x00000000),UINT32_C(0x01000200),UINT32_C(0x00004000)}}, /* 309 : CMPCCXADD,FUTURE,LONG,SQ,VEX */
    {{UINT32_C(0x00000000),UINT32_C(0x00000041),UINT32_C(0x00000000),UINT32_C(0x00000020),UINT32_C(0x00004000)}}, /* 310 : FRED,FUTURE,LONG,PRIV */
    {{UINT32_C(0x00000008),UINT32_C(0x00000041),UINT32_C(0x00000000),UINT32_C(0x00000040),UINT32_C(0x00004000)}}, /* 311 : FUTURE,LKGS,LONG,PRIV,SW */
    {{UINT32_C(0x00000000),UINT32_C(0x00000041),UINT32_C(0x00000000),UINT32_C(0x00000040),UINT32_C(0x00004000)}}, /* 312 : FUTURE,LKGS,LONG,PRIV */
    {{UINT32_C(0x00020000),UINT32_C(0x00000041),UINT32_C(0x00000000),UINT32_C(0x00000040),UINT32_C(0x00004000)}}, /* 313 : FUTURE,LKGS,LONG,OPT,PRIV */
    {{UINT32_C(0x00000000),UINT32_C(0x00000041),UINT32_C(0x00000000),UINT32_C(0x00000800),UINT32_C(0x00004000)}}, /* 314 : FUTURE,LONG,PRIV,WRMSRNS */
    {{UINT32_C(0x00000000),UINT32_C(0x00000041),UINT32_C(0x00000000),UINT32_C(0x00001000),UINT32_C(0x00004000)}}, /* 315 : FUTURE,LONG,MSRLIST,PRIV */
    {{UINT32_C(0x00000004),UINT32_C(0x00000001),UINT32_C(0x00000000),UINT32_C(0x00010000),UINT32_C(0x00004000)}}, /* 316 : FUTURE,HRESET,PRIV,SB */
    {{UINT32_C(0x00000000),UINT32_C(0x00000800),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000040)}}, /* 317 : P6,UNDOC */
    {{UINT32_C(0x00000000),UINT32_C(0x00000840),UINT32_C(0x00000000),UINT32_C(0x00000000),UINT32_C(0x00000400)}}, /* 318 : LONG,UNDOC,X86_64 */
};
